{
  "name": "HICS",
  "version": "1.0.0",
  "scripts": {
    "dev": "vue-cli-service serve --open --mode development",
    "build": "vue-cli-service build",
    "build:prod": "vue-cli-service  build --mode prod",
    "build:uat": "vue-cli-service  build --mode uat",
    "build:usa": "vue-cli-service  build --mode usa",
    "pre": "vue-cli-service build --mode pre",
    "i18n": "npm run i18n:zh && npm run i18n:en",
    "i18n:zh": "node i18nGenerate.js lang=zh keyCol=5 valCol=6",
    "i18n:en": "node i18nGenerate.js lang=en keyCol=5 valCol=7"
  },
  "dependencies": {
    "@microsoft/signalr": "^6.0.8",
    "@riophae/vue-treeselect": "0.4.0",
    "ali-oss": "^6.17.1",
    "axios": "0.18.1",
    "babel-eslint": "7.2.3",
    "copy-webpack-plugin": "^4.5.2",
    "core-js": "^3.8.3",
    "cornerstone-core": "^2.6.1",
    "cornerstone-math": "^0.1.10",
    "cornerstone-tools": "^6.0.10",
    "cornerstone-wado-image-loader": "^4.13.2",
    "dcmjs": "^0.29.8",
    "dicom-parser": "^1.8.9",
    "dicomedit": "^0.1.0",
    "echarts": "^4.8.0",
    "element-ui": "^2.15.8",
    "exceljs": "^4.1.0",
    "file-saver": "^2.0.5",
    "hammerjs": "^2.0.8",
    "html2canvas": "^1.4.1",
    "js-md5": "^0.7.3",
    "jszip": "^3.7.1",
    "moment": "^2.27.0",
    "node-polyfill-webpack-plugin": "^2.0.1",
    "node-sass": "^4.14.1",
    "normalize.css": "^8.0.1",
    "nprogress": "0.2.0",
    "path-to-regexp": "2.4.0",
    "pdfobject": "^2.2.8",
    "prismjs": "^1.30.0",
    "popper.js": "^1.16.1",
    "sass-loader": "^8.0.0",
    "screenfull": "^4.2.0",
    "sortablejs": "^1.15.0",
    "streamsaver": "^2.0.6",
    "v-viewer": "^1.6.4",
    "vcrontab": "^0.3.5",
    "vue": "^2.6.11",
    "vue-clipboard2": "^0.3.1",
    "vue-contextmenujs": "^1.3.13",
    "vue-count-to": "^1.0.13",
    "vue-i18n": "^8.7.0",
    "vue-prism-editor": "^1.3.0",
    "vue-pdf": "^4.3.0",
    "vue-puzzle-vcode": "^1.1.10",
    "vue-router": "3.0.6",
    "vue-seamless-scroll": "^1.1.21",
    "vuedraggable": "^2.24.3",
    "vuex": "3.1.0",
    "webpack-aliyun-oss": "^0.4.9"
  },
  "devDependencies": {
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-optional-chaining": "^7.21.0",
    "@vue/cli-plugin-babel": "~4.5.4",
    "@vue/cli-plugin-eslint": "~4.5.4",
    "@vue/cli-service": "~4.5.4",
    "autoprefixer": "^9.5.1",
    "aws-sdk": "^2.1532.0",
    "babel-eslint": "^10.1.0",
    "chalk": "2.4.2",
    "connect": "3.6.6",
    "eslint": "^6.7.2",
    "eslint-plugin-vue": "^6.2.2",
    "html-webpack-plugin": "3.2.0",
    "minio": "^7.1.3",
    "node-xlsx": "^0.21.0",
    "runjs": "^4.3.2",
    "script-ext-html-webpack-plugin": "2.1.3",
    "script-loader": "0.7.2",
    "serve-static": "^1.13.2",
    "svg-sprite-loader": "4.1.3",
    "svgo": "1.2.2",
    "vue-template-compiler": "^2.6.11"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "rules": {}
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ]
}
